Subject: bug#31549: 25.3; bytecompile fails with eval-when-compile

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 May 2018 09:19:19 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 24 May 2018 17:18:17 -0400
> 
> Sorry, if my initial response confused things

Seeking the truth doesn't always work in linear ways ;-)

> I'm fairly certain now that there is no way to trigger this error by
> compiling a Lisp program in Emacs 26.  It would have to require a
> stack depth of 2^63 (or 2^31 on 32 bit builds), I imagine actual
> memory exhaustion would happen first.
> 
> Actually, even though memory_full probably isn't correct, maybe we
> should just leave it.  Triggering this error probably indicates some bug
> in Emacs, so the first thing to do after hitting it would be to set a
> breakpoint in gdb; this is a bit more convenient to do with memory_full
> than Fsignal or error: fewer false positives.

Fine by me, but do we understand what change(s) between 25.3 and 26.1
fixed this problem?  If not, maybe we should try to understand that?